Get Alert History
GET /api/websites/:websitePublicId/alert-history
Get Alert History
GET /api/websites/:websitePublicId/alert-history
Returns notification/escalation attempts (alert history) for incidents of a website.
Example (cURL)
BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"
curl -X GET "$BASE_URL/api/websites/6bfec6f6-245a-47ce-843b-157d97d56f88/alert-history" \
-H "Authorization: Bearer $TOKEN" \
-H "Accept: application/json"
Example Response
{
"alerts": [
{
"id": 987,
"incidentId": 123,
"type": "email",
"status": "sent",
"channelName": "Ops Email",
"sentAt": "2026-02-26T12:11:00.000Z",
"errorMessage": null
}
],
"total": 1
}
Common Errors
400 Website public ID (UUID) requiredif:websitePublicIdis invalid401 Unauthorizedif you are not authenticated403 Forbiddenif you do not have access to the website